import * as mediaserver from "./server";
function boot(): void{
	const mediaconfig: any = {
		rtmp: {
			port: 1935,
			chunk_size: 60000,
			gop_cache: true,
			ping: 30,
			ping_timeout: 60
		},
		http: {
			port:8000,
			allow_origin: '*',
			mediaroot: './media'
		},
		trans: {
			ffmpeg: '/usr/bin/ffmpeg',
			tasks: [
				{
					app: 'live',
					hls: 'true',
					hlsFlags: '[hls_time=2:hls_list_size=3:hls_flags=delete_segments]'
				}
			]
		}
	};
	mediaserver.boot(mediaconfig);
}
export { boot };